Stay organized with collections Save and categorize content based on your preferences.

Changelog

PyPI History

1.7.3 (2022-10-07)

Bug Fixes

1.7.2 (2022-09-29)

Bug Fixes

1.7.1 (2022-08-11)

Bug Fixes

  • deps: allow protobuf < 5.0.0 (#251) (6abbc94)

  • deps: require proto-plus >= 1.22.0 (6abbc94)

1.7.0 (2022-07-16)

Features

Bug Fixes

1.6.2 (2022-06-06)

Bug Fixes

Documentation

  • fix changelog header to consistent size (#230) (4994bb7)

1.6.1 (2022-03-05)

Bug Fixes

  • deps: require google-api-core>=1.31.5, >=2.3.2 (#193) (cef4d52)

  • deps: require proto-plus>=1.15.0 (cef4d52)

1.6.0 (2022-02-11)

Features

Bug Fixes

  • resolve DuplicateCredentialArgs error when using credentials_file (e0294af)

1.5.1 (2021-11-01)

Bug Fixes

  • deps: drop packaging dependency (755b803)

  • deps: require google-api-core >= 1.28.0 (755b803)

Documentation

  • list oneofs in docstring (755b803)

1.5.0 (2021-10-14)

Features

1.4.0 (2021-10-07)

Features

  • add context manager support in client (#141) (2bf8ab7)

1.3.4 (2021-09-30)

Bug Fixes

  • improper types in pagers generation (cb38c20)

1.3.3 (2021-09-24)

Bug Fixes

  • add ‘dict’ annotation type to ‘request’ (4a5ed62)

1.3.2 (2021-07-28)

Bug Fixes

Documentation

  • add Samples section to CONTRIBUTING.rst (#109) (6aa9d7a)

Miscellaneous Chores

1.3.1 (2021-07-20)

Bug Fixes

  • deps: pin ‘google-{api,cloud}-core’, ‘google-auth’ to allow 2.x versions (#108) (63a9999)

1.3.0 (2021-07-01)

Features

Bug Fixes

Documentation

  • omit mention of Python 2.7 in ‘CONTRIBUTING.rst’ (#1127) (#91) (5dcc16c)

1.2.0 (2021-05-27)

Features

  • add from_service_account_info (e097a64)

  • add common resource path helpers (#70) (e097a64)

  • support self-signed JWT flow for service accounts (1055668)

Bug Fixes

1.1.0 (2020-10-13)

Features

Documentation

  • state >=3.6 requirement in README (#42) (c162047)

Dependencies

  • remove unused google-cloud-core dependency (#50) (e748cb4)

1.0.0 (2020-09-14)

⚠ BREAKING CHANGES

Features

0.24.0 (2020-08-06)

⚠ BREAKING CHANGES

  • trace: remove span_path resource helper method from v2; modify retry configs; standardize usage of ‘optional’ and ‘required’ for args in docstrings; add 2.7 deprecation warning (via synth) (#10075)

Features

Bug Fixes

  • trace: remove span_path resource helper method from v2; modify retry configs; standardize usage of ‘optional’ and ‘required’ for args in docstrings; add 2.7 deprecation warning (via synth) (#10075) (4c02194)

Documentation

  • add python 2 sunset banner to documentation (#9036) (52f3ab5)

0.23.0

10-15-2019 06:59 PDT

Dependencies

  • Pin ‘google-cloud-core >= 1.0.3, < 2.0.0dev’. (#9445)

Documentation

  • Change requests intersphinx url (via synth). (#9410)

  • Fix intersphinx reference to requests (#9294)

  • Remove CI for gh-pages, use googleapis.dev for api_core refs. (#9085)

  • Remove compatability badges from READMEs. (#9035)

0.22.1

08-12-2019 13:51 PDT

Implementation Changes

  • Remove send/recv msg size limit (via synth). (#8973)

Documentation

  • Fix links to googleapis.dev (#8998)

  • Fix pip / usage examples in README.rst. (#8833)

  • Update intersphinx mapping for requests. (#8805)

0.22.0

07-24-2019 17:50 PDT

Implementation Changes

  • Allow kwargs to be passed to create_channel (via synth). (#8408)

New Features

  • Add ‘client_options’ support, update list method docstrings (via synth). (#8526)

Dependencies

  • Bump minimum version for google-api-core to 1.14.0. (#8709)

Documentation

  • Link to googleapis.dev documentation in READMEs. (#8705)

  • Add compatibility check badges to READMEs. (#8288)

Internal / Testing Changes

  • All: Add docs job to publish to googleapis.dev. (#8464)

  • Declare encoding as utf-8 in pb2 files (via synth). (#8368)

  • Add disclaimer to auto-generated template files (via synth). (#8332)

  • Fix coverage in ‘types.py’ (via synth). (#8167)

  • Add empty lines (via synth). (#8075)

0.21.0

05-16-2019 12:58 PDT

Implementation Changes

  • Add routing header to method metadata (via synth). (#7602)

  • Remove classifier for Python 3.4 for end-of-life. (#7535)

New Features

  • Add client_info support to clients. (#7899)

Dependencies

  • Pin google-cloud-core >= 1.0.0, < 2.0dev. (#7993)

Documentation

  • Update docstring for page_size (via synth). (#7688)

  • Updated client library documentation URLs. (#7307)

  • Pick up stub docstring fix in GAPIC generator. (#6985)

Internal / Testing Changes

  • Add nox session docs, reorder methods (via synth). (#7783) and (#7784)

  • Copy lintified proto files (via synth). (#7455)

  • Add clarifying comment to blacken nox target. (#7406)

  • Remove unused message exports (via synth). (#7278)

  • Copy proto files alongside protoc versions (#7254)

  • Trivial gapic-generator change. (#7236)

  • Add protos as an artifact to library (#7205)

  • Update copyright headers (via synth). (#7161)

  • Protoc-generated serialization update. (#7098)

0.20.2

12-17-2018 17:06 PST

Documentation

  • Document Python 2 deprecation (#6910)

0.20.1

12-07-2018 16:06 PST

Implementation Changes

  • Fix trace client memory leak (#6856)

Dependencies

  • Update version of google-cloud-core (#6858)

Internal / Testing Changes

  • Add baseline for synth.metadata

0.20.0

12-05-2018 13:16 PST

Implementation Changes

  • Use moved iam.policy now at google.api_core.iam.policy (#6741)

  • Pick up fixes to GAPIC generator. (#6577)

  • Fix client_info bug, update docstrings and timeouts. (#6424)

  • Pass credentials into TraceServiceClient (#5596)

  • Avoid overwriting ‘module’ of messages from shared modules. (#5364)

New Features

  • Add ‘synth.py’. (#6083)

Dependencies

  • Bump minimum ‘api_core’ version for all GAPIC libs to 1.4.1. (#6391)

Documentation

  • Normalize use of support level badges (#6159)

  • Add static HTML redirect page for ‘trace/starting.html’. (#6142)

  • Prep docs for repo split. (#6024)

  • Replace links to ‘/stable/’ with ‘/latest/’. (#5901)

Internal / Testing Changes

  • Updates to noxfile and other templates. Start Blackening. (#6792), (#6701), (#6698), (#6666), (#6642)

  • Use new Nox (#6175)

  • Add kokoro for trace, remove trace from CircleCI (#6112)

  • Use inplace installs (#5865)

  • Add Test runs for Python 3.7 and remove 3.4 (#5295)

  • Fix bad trove classifier

  • Move unit test from gax to gapic (#4988)

0.19.0

Dependencies

  • The minimum version for google-api-core has been updated to version 1.0.0. This may cause some incompatibility with older google-cloud libraries, you will need to update those libraries if you have a dependency conflict. (#4944, #4946)

Testing and internal changes

  • Install local dependencies when running lint (#4936)

  • Re-enable lint for tests, remove usage of pylint (#4921)

  • Normalize all setup.py files (#4909)

0.18.0

Breaking changes

  • The underlying autogenerated client library was re-generated to pick up new features and resolve bugs, this may change the exceptions raised from various methods. (#4799)

0.17.0

Notable Implementation Changes

  • Default to use Stackdriver Trace V2 API if calling from google.cloud import trace. Using V1 API needs to be explicitly specified in the import.(#4437)

PyPI: https://pypi.org/project/google-cloud-trace/0.17.0/

0.16.0

Dependencies

  • Upgrading to google-cloud-core >= 0.28.0 and adding dependency on google-api-core (#4221, #4280)

PyPI: https://pypi.org/project/google-cloud-trace/0.16.0/